package cz.utb.tadis.attacks.http;

import cz.utb.tadis.attacks.model.*;

import java.util.List;

public class AttackFormData {

    private List<String> countries;
    private List<String> cities;
    private List<String> softTargetDescriptions;
    private List<String> terroristOrganizations;

    private ClosedResponse[] closedResponses;
    private Epicenter[] epicenters;
    private Gender[] genders;
    private Locality[] localities;
    private ModusOperandi[] modusOperandis;
    private SoftTargetTypeEnum[] softTargetTypes;

    public AttackFormData() {
    }

    public AttackFormData(List<String> countries, List<String> cities, List<String> softTargetDescriptions, List<String> terroristOrganizations, ClosedResponse[] closedResponses, Epicenter[] epicenters, Gender[] genders, Locality[] localities, ModusOperandi[] modusOperandis, SoftTargetTypeEnum[] softTargetTypes) {
        this.countries = countries;
        this.cities = cities;
        this.softTargetDescriptions = softTargetDescriptions;
        this.terroristOrganizations = terroristOrganizations;
        this.closedResponses = closedResponses;
        this.epicenters = epicenters;
        this.genders = genders;
        this.localities = localities;
        this.modusOperandis = modusOperandis;
        this.softTargetTypes = softTargetTypes;
    }

    public List<String> getCountries() {
        return countries;
    }

    public void setCountries(List<String> countries) {
        this.countries = countries;
    }

    public List<String> getCities() {
        return cities;
    }

    public void setCities(List<String> cities) {
        this.cities = cities;
    }

    public List<String> getSoftTargetDescriptions() {
        return softTargetDescriptions;
    }

    public void setSoftTargetDescriptions(List<String> softTargetDescriptions) {
        this.softTargetDescriptions = softTargetDescriptions;
    }

    public List<String> getTerroristOrganizations() {
        return terroristOrganizations;
    }

    public void setTerroristOrganizations(List<String> terroristOrganizations) {
        this.terroristOrganizations = terroristOrganizations;
    }

    public ClosedResponse[] getClosedResponses() {
        return closedResponses;
    }

    public void setClosedResponses(ClosedResponse[] closedResponses) {
        this.closedResponses = closedResponses;
    }

    public Epicenter[] getEpicenters() {
        return epicenters;
    }

    public void setEpicenters(Epicenter[] epicenters) {
        this.epicenters = epicenters;
    }

    public Gender[] getGenders() {
        return genders;
    }

    public void setGenders(Gender[] genders) {
        this.genders = genders;
    }

    public Locality[] getLocalities() {
        return localities;
    }

    public void setLocalities(Locality[] localities) {
        this.localities = localities;
    }

    public ModusOperandi[] getModusOperandis() {
        return modusOperandis;
    }

    public void setModusOperandis(ModusOperandi[] modusOperandis) {
        this.modusOperandis = modusOperandis;
    }

    public SoftTargetTypeEnum[] getSoftTargetTypes() {
        return softTargetTypes;
    }

    public void setSoftTargetTypes(SoftTargetTypeEnum[] softTargetTypes) {
        this.softTargetTypes = softTargetTypes;
    }
}
